# modbus-tcp connector

[Modbus] is a data communications protocol originally published by Modicon (now Schneider Electric) in 1979 for use with its programmable logic controllers (PLCs). Modbus has become a de facto standard communication protocol and is now a commonly available means of connecting industrial electronic devices.

[modbus]: https://en.wikipedia.org/wiki/Modbus

## Modbus TCP

This is a Modbus variant used for communications over TCP/IP networks, connecting over port 502.[6] It does not require a checksum calculation, as lower layers already provide checksum protection.

## endpoint

Modbus TCP server connection information

```
# Format
hostname[:port] # default port : 502

# examples
localhost
localhost:502
192.168.0.1
192.168.0.1:502
```

## parameters

- keepalive
  - If the connection to the server is disconnected for an unintended reason, the connection is automatically retried.
  - It does not mean keepalive function of TCP protocol
